Subject: Re: [PATCH net-next 0/10] net: dsa: improve serdes integration

From: Andrew Lunn <[email-masked]>
Date: Thu, 5 Mar 2020 23:54:07 +0100

On Thu, Mar 05, 2020 at 12:41:39PM +0000, Russell King - ARM Linux admin wrote:
> Andrew Lunn mentioned that the Serdes PCS found in Marvell DSA switches
> does not automatically update the switch MACs with the link parameters.
> Currently, the DSA code implements a work-around for this.
> 
> This series improves the Serdes integration, making use of the recent
> phylink changes to support split MAC/PCS setups.  One noticable
> improvement for userspace is that ethtool can now report the link
> partner's advertisement.

Hi Russel

I started testing this patchset today. But ran into issues with ZII
scu4-aib and ZII devel c. I think the CPU port is running at the wrong
speed, but i'm not sure yet. Nor do i know if it is this patchset, or
something earlier.

      Andrew